build-docker:
  tags:
    - Jehad
  stage: build
  script:
    - export GIT_COMMIT_DATE=$(git show -s --date='format-local:%y%m%d' --format=%cd ${CI_COMMIT_SHORT_SHA})
    - docker build -t $DOCK_USER/devops_practice:$GIT_COMMIT_DATE-$CI_COMMIT_SHORT_SHA .
    - echo "$DOCK_PASS" |  docker login --username "$DOCK_USER" --password-stdin
    - docker push $DOCK_USER/devops_practice:$GIT_COMMIT_DATE-$CI_COMMIT_SHORT_SHA
